import http from "./confign";


//评估问题创建接口
export const createResearch = (obj) =>
  http.post("/assessment/createAssessment", obj);
//删除评估基础信息
export const deleteResearch = (obj) =>
  http.post("/assessment/deleteAssessment", obj, {
    headers: { "Content-Type": "application/x-www-form-urlencoded" },
  });
//选择题删除题干或选项接口-修改时删除
export const deleteChoiceQuestion = (obj) =>
  http.post("/assessment/deleteChoiceQuestion", obj);
//问答题或评分题删除题干-修改时删除
export const deleteQuestionScAndQa = (obj) =>
  http.post("/assessment/deleteQuestionScAndQa", obj);
//修改评估问题的接口
export const editResearchMessage = (obj) =>
  http.post("/assessment/editAssessmentMessage", obj);
//评估信息编辑修改评估名称
export const editAssessmentName = (obj) =>
  http.post("/assessment/editAssessmentName", obj);
//评估信息发布状态的接口
export const editReleaseStatus = (obj) =>
  http.post("/assessment/editReleaseStatus", obj);
//根据ID查询评估基础信息详情
export const queryResearchDetailById = (obj) =>
  http.post("/assessment/queryAssessmentDetailById", obj, {
    headers: { "Content-Type": "application/x-www-form-urlencoded" },
  });
//获取全部评估信息接口
export const queryResearchDetailList = (obj) =>
  http.post("/assessment/queryAssessmentDetailList", obj);
//评估管理-管理-获取评估部分信息
export const queryAssessmentDetailList = (obj) =>
  http.post("/assessment/queryAssessmentPartDetail", obj, {
    headers: { "Content-Type": "application/x-www-form-urlencoded" },
  });

  // 请求组织接口
export const userGetUserOrg = (obj) => http.post('/user/getUserOrg', obj)

// 概览页面 tab头数据
export const boeuAllTotal = (obj) => http.get('/boeu/all/total', obj)


// 获取受众列表
export const getAudienceList = (obj) =>
  http.post("/audience/list", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 停用受众
export const stopAudience = (obj) =>
  http.post("/audience/stop", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 复制受众
export const copyAudience = (obj) =>
  http.post("/audience/copy", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 删除受众
export const deleteAudience = (obj) =>
  http.post("/audience/delete", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 发布、启用受众
export const publishAudience = (obj) =>
  http.post("/audience/publish", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 添加受众
export const createAudience = (obj) =>
  http.post("/audience/create", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 受众详情
export const getAudienceDetail = (obj) =>
  http.post("/audience/info", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 添加受众成员
export const addAudienceMember = (obj) =>
  http.post("/audience/addMember", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 删除受众成员
export const deleteAudienceMember = (obj) =>
  http.post("/audience/deleteMember", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 批量删除受众成员
export const deleteBatchAudienceMember = (obj) =>
  http.post("/audience/deleteBatchMember", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 导入受众成员
export const importAudienceMember = (obj) =>
  http.post("/audience/importMember", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 受众成员列表
export const getAudienceMemberList = (obj) =>
  http.post("/audience/memberList", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 受众成员更新
export const updateAudience = (obj) =>
  http.post("/audience/update", obj, {
    headers: { 'Content-Type':'application/json', },
});

// 受众成员组织列表
export const getAudienceOrgList = (obj) =>
  http.post("/org/list", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 受众成员组织列表
export const getAudienceOrgInfo = (obj) =>
  http.post("/org/info", obj, {
    headers: { 'Content-Type':'application/json', },
});
// 受众成员可选列表
export const getAudienceUserList = (obj) =>
  http.post("/user/list", obj, {
    headers: { 'Content-Type':'application/json', },
});